## org.jfree.data
Interface DomainInfo

All Known Implementing Classes:
  CategoryTableXYDataset, DefaultTableXYDataset, DynamicTimeSeriesCollection, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYSeriesCollection

public interface DomainInfo

An interface (optional) that can be implemented by a dataset to assist in determining the minimum and maximum values.

Method Summary
`Range` `getDomainRange()` Returns the range of the values in this dataset's domain.
`java.lang.Number` `getMaximumDomainValue()` Returns the maximum value in the dataset (or `null` if all the values in the domain are `null`).
`java.lang.Number` `getMinimumDomainValue()` Returns the minimum value in the dataset (or `null` if all the values in the domain are `null`).

Method Detail

### getMinimumDomainValue

    public java.lang.Number getMinimumDomainValue()

  Returns the minimum value in the dataset (or `null` if all the values in the domain are `null`).

  Returns:
    The minimum value.

### getMaximumDomainValue

    public java.lang.Number getMaximumDomainValue()

  Returns the maximum value in the dataset (or `null` if all the values in the domain are `null`).

  Returns:
    The maximum value.

### getDomainRange

    public Range getDomainRange()

  Returns the range of the values in this dataset's domain.

  Returns:
    The range.